package com.dml.crawler.callback.controller;

import com.alibaba.fastjson.JSON;
import com.dml.crawler.callback.bean.ApiResponse;
import com.dml.crawler.callback.bean.CrawlerResult;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import java.io.IOException;

@RestController
@Slf4j
@RequestMapping("/callback")
public class IndexController {

    @PostMapping("/data")
    public ApiResponse<String> receive(@RequestBody CrawlerResult crawlerResult) throws IOException {


        log.info("爬取结果：{}", JSON.toJSONString(crawlerResult));

        return ApiResponse.success();

    }
}
