package com.dml.crawler.callback.bean;


import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class CrawlerResult {

    private String taskId;
    private String userId;
    private String callbackUrl;
    private JSONObject bizContext;
    private String data;
    private int retryTimes;

    public String toJSONString() {
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("taskId", taskId);
        jsonObject.put("bizContext", bizContext);
        jsonObject.put("data", data);

        return JSON.toJSONString(jsonObject);
    }

}
